VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2550
   ClientLeft      =   3150
   ClientTop       =   2655
   ClientWidth     =   3030
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2550
   ScaleWidth      =   3030
   Begin VB.PictureBox OuterPict 
      Height          =   2175
      Left            =   0
      ScaleHeight     =   2115
      ScaleWidth      =   2595
      TabIndex        =   0
      Top             =   0
      Width           =   2655
      Begin VB.PictureBox InnerPict 
         AutoSize        =   -1  'True
         BorderStyle     =   0  'None
         Height          =   3915
         Left            =   0
         Picture         =   "Form1.frx":0000
         ScaleHeight     =   3915
         ScaleWidth      =   3915
         TabIndex        =   1
         Top             =   0
         Width           =   3915
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private m_VValue As Single
Private m_VMin As Single
Private m_VMax As Single
Private m_VLargeChange As Single
Private m_VSmallChange As Single

Private m_HValue As Single
Private m_HMin As Single
Private m_HMax As Single
Private m_HLargeChange As Single
Private m_HSmallChange As Single

Private Sub SetScrollingValues()
    ' Set scroll values.
    m_VMax = 0
    m_VMin = OuterPict.ScaleHeight - InnerPict.Height
    m_VLargeChange = OuterPict.ScaleY(20, vbPixels, OuterPict.ScaleMode)
    m_VSmallChange = OuterPict.ScaleY(2, vbPixels, OuterPict.ScaleMode)

    m_HMax = 0
    m_HMin = OuterPict.ScaleWidth - InnerPict.Width
    m_HLargeChange = OuterPict.ScaleX(20, vbPixels, OuterPict.ScaleMode)
    m_HSmallChange = OuterPict.ScaleX(2, vbPixels, OuterPict.ScaleMode)
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Select Case KeyCode
        Case vbKeyDown
            If Shift And vbShiftMask Then
                m_VValue = m_VValue - m_VLargeChange
            Else
                m_VValue = m_VValue - m_VSmallChange
            End If
            If m_VValue < m_VMin Then m_VValue = m_VMin
            InnerPict.Top = m_VValue
        Case vbKeyUp
            If Shift And vbShiftMask Then
                m_VValue = m_VValue + m_VLargeChange
            Else
                m_VValue = m_VValue + m_VSmallChange
            End If
            If m_VValue > m_VMax Then m_VValue = m_VMax
            InnerPict.Top = m_VValue
        Case vbKeyLeft
            If Shift And vbShiftMask Then
                m_HValue = m_HValue + m_HLargeChange
            Else
                m_HValue = m_HValue + m_HSmallChange
            End If
            If m_HValue > m_HMax Then m_HValue = m_HMax
            InnerPict.Left = m_HValue
        Case vbKeyRight
            If Shift And vbShiftMask Then
                m_HValue = m_HValue - m_HLargeChange
            Else
                m_HValue = m_HValue - m_HSmallChange
            End If
            If m_HValue < m_HMin Then m_HValue = m_HMin
            InnerPict.Left = m_HValue
    End Select
End Sub
Private Sub Form_Resize()
    OuterPict.Move 0, 0, ScaleWidth, ScaleHeight

    SetScrollingValues
End Sub
